using InABox.Wpf;
using System.Windows;

namespace InABox.DynamicGrid
{
    /// <summary>
    ///     Interaction logic for NotePopup.xaml
    /// </summary>
    public partial class NotePopup : ThemableWindow
    {
        public NotePopup()
        {
            InitializeComponent();
        }

        public string Caption
        {
            get => (string)Heading.Content;
            set => Heading.Content = value;
        }

        public string Text
        {
            get => Editor.Text;
            set => Editor.Text = value;
        }

        private void OK_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
            Close();
        }

        private void Cancel_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
            Close();
        }
    }
}